%global         cross mips64-elf

Name:           binutils-%{cross}
Version:        2.44
Release:        1%{?dist}
Summary:        %{cross} binutils

License:        GPLv3+
URL:            https://sourceware.org/binutils
Source:         https://ftp.gnu.org/gnu/binutils/binutils-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: texinfo >= 4.0
BuildRequires: /usr/bin/pod2man

%description
%{cross} version of binutils

%prep
%autosetup -n binutils-%{version}

%build

%configure \
    --target=%{cross} \
    --with-cpu=mips64vr4300 \
    --disable-werror\
    --disable-dependency-tracking \
    --disable-silent-rules \
    --enable-checking \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --build=%{_target_platform} \
    --host=%{_target_platform} \
    --target=%{cross} \
    --program-prefix=%{cross}- \
    --disable-shared \
    --disable-install_libbfd \
    --with-sysroot=%{_prefix}/%{cross}/sys-root \
    --enable-lto \
    --enable-plugins

%make_build

%install
%make_install
rm -rf %{buildroot}%{_datadir}/locale %{buildroot}%{_infodir}
rm %{buildroot}%{_libdir}/bfd-plugins/libdep.a

%files
%license COPYING
%{_bindir}/%{cross}-*
%{_mandir}/man1/%{cross}-*

%dir %{_prefix}/%{cross}
%{_prefix}/%{cross}/bin/
%{_prefix}/%{cross}/lib/

%changelog
* Wed Apr 16 2025 Jan200101 <sentrycraft123@gmail.com> - 2.44-1
- Update to 2.44

* Fri Jan 31 2025 Jan200101 <sentrycraft123@gmail.com> - 2.43.1-1
- Update to 2.43.1

* Wed Apr 19 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 2.40-1
- Update to 2.40

* Wed May 18 2022 Jan Drögehoff <sentrycraft123@gmail.com> - 2.38-1
- Update to 2.38

* Sun Mar 27 2022 Jan Drögehoff <sentrycraft123@gmail.com> - 2.37-2
- rewrite spec

* Fri Dec 31 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 2.37-1
- Update to 2.37

* Sat Jun 06 2020 Jan Drögehoff <sentrycraft123@gmail.com> - 2.34-1
- Initial Release


